/*
      Zerar estilos
    */

    * {
        margin: 0px; 
        padding: 0px; 
        box-sizing: border-box;
      }
  
      body, html {
        height: 100%;
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif, sans-serif;
      }
  
      ul, li {
        margin: 0px;
        list-style-type: none;
      }
  
      input, button {
        outline: none !important;
        border: none;
      }
  
      button:hover {
        cursor: pointer;
      }
  
      /*
        Utilitários
      */
  
      .text1 {
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
        font-size: 15px;
        color: #999999;
        line-height: 1.5;
      }
  
      .text2 {
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
        font-size: 15px;
        color: #407bff;
        line-height: 1.5;
      }
  
      .margin-bottom-35 {
        margin-bottom: 35px;
      }
  
      .margin-top-35 {
        margin-top: 35px;
      }
  
      .margin-bottom-8 {
        margin-bottom: 8px;
      }
  
      .margin-top-8 {
        margin-top: 8px;
      }
  
      .margin-left-50 {
        margin-left: 50px;
      }
  
      /*
        Login
      */
  
      .container {
        width: 100%;
        margin: 0 auto;
      }
  
      .container-login {
        width: 100%;  
        min-height: 100vh;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        padding: 15px;
        background: #FFFFFF;  
      }
  
      .wrap-login {
        width: 370px;
        margin-right: 50px;
        background: #FFFFFF;
      }
  
      /*
        Formulário
      */
  
      .login-form {
        width: 100%;
      }
  
      .login-form-title {
        display: block;
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
        font-size: 39px;
        color: #333333;
        line-height: 1.2;
        text-align: center;
      }
  
      /*
        Input
      */
  
      .wrap-input {
        width: 100%;
        position: relative;
        border-bottom: 2px solid #D9D9D9;
      }
  
      .input-form {
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
        font-size: 18px;
        color: #555555;
        line-height: 1.2;
        display: block;
        width: 100%;
        height: 52px;
        background: transparent;
        padding: 0 5px;
      }
  
      .focus-input-form {
        position: absolute;
        display: block;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        pointer-events: none;
      }
  
      .focus-input-form::before {
        content: "";
        display: block;
        position: absolute;
        bottom: - 2px;
        left: 0;
        width: 0;
        height: 2px;
        transition: all 0.4s;
        background: rgb(204, 28, 28);
      }
  
      .focus-input-form::after {
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
        font-size: 18px;
        color: #999999;
        line-height: 0;
        content: attr(data-placeholder);
        display: block;
        width: 100%;
        position: absolute;
        top: -15px;
        left: 0px;
        padding-left: 5px;
        transition: all 0.4s;
      }
  
      .input-form:focus + .focus-input-form::after {
        top: -20px;
        font-size: 15px;
      }
  
      .input-form:focus + .focus-input-form::before {
        width: 100%;
      }
  
      .has-val.input-form + .focus-input-form::after {
        top: -20px;
        font-size: 15px;
      }
  
      .has-val.input-form + .focus-input-form::before {
        width: 100%;
      }
  
      /*
        Botão
      */
  
      .container-login-form-btn {
        width: 100%;
        display: flex;
        justify-content: center;
      }
  
      .login-form-btn {
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
        font-size: 16px;
        color: #FFFFFF;
        line-height: 1.2;
        text-transform: uppercase;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0 20px;
        width: 100%;
        height: 50px;
        background-color: rgb(204, 28, 28);
        border-radius: 5px;
        transition: all 0.4s;
      }
  
      .login-form-btn:hover  {
        background-color: #333333;
      }
  
      /*
        Links - Login utils
      */
  
      a {
        font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
        font-size: 14px;
        line-height: 1.7;
        color: #666666;
        margin: 0px;
        transition: all 0.4s;
      }
  
      a:focus {
        outline: none !important;
      }
  
      a:hover {
        text-decoration: none;
        color: #333333;
      }
  
      /*
        Login utils
      */
  
      .login-utils {
        margin-top: 20px;
      }
  
      .login-utils li {
        position: relative;
        padding-left: 16px;
      }
  
      .login-utils li::before {
        content: "";
        display: block;
        position: absolute;
        width: 5px;
        height: 5px;
        border-radius: 50%;
        background-color: #CCCCCC;
        top: 45%;
        transform: translateY(-50%);
        left: 0;
      }